import Vue from 'vue';
import { _ as __vue_normalize__ } from '../normalize-component-ea49d1b5.js';

var script = Vue.extend({
    props: ["color", "customColor"]
});

const isOldIE = typeof navigator !== 'undefined' &&
    /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
function createInjector(context) {
    return (id, style) => addStyle(id, style);
}
let HEAD;
const styles = {};
function addStyle(id, css) {
    const group = isOldIE ? css.media || 'default' : id;
    const style = styles[group] || (styles[group] = { ids: new Set(), styles: [] });
    if (!style.ids.has(id)) {
        style.ids.add(id);
        let code = css.source;
        if (css.map) {
            // https://developer.chrome.com/devtools/docs/javascript-debugging
            // this makes source maps inside style tags work properly in Chrome
            code += '\n/*# sourceURL=' + css.map.sources[0] + ' */';
            // http://stackoverflow.com/a/26603875
            code +=
                '\n/*# sourceMappingURL=data:application/json;base64,' +
                    btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) +
                    ' */';
        }
        if (!style.element) {
            style.element = document.createElement('style');
            style.element.type = 'text/css';
            if (css.media)
                style.element.setAttribute('media', css.media);
            if (HEAD === undefined) {
                HEAD = document.head || document.getElementsByTagName('head')[0];
            }
            HEAD.appendChild(style.element);
        }
        if ('styleSheet' in style.element) {
            style.styles.push(code);
            style.element.styleSheet.cssText = style.styles
                .filter(Boolean)
                .join('\n');
        }
        else {
            const index = style.ids.size - 1;
            const textNode = document.createTextNode(code);
            const nodes = style.element.childNodes;
            if (nodes[index])
                style.element.removeChild(nodes[index]);
            if (nodes.length)
                style.element.insertBefore(textNode, nodes[index]);
            else
                style.element.appendChild(textNode);
        }
    }
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"lds-ellipsis",class:_vm.color},[_c('div',{style:({ backgroundColor: _vm.customColor })}),_vm._v(" "),_c('div',{style:({ backgroundColor: _vm.customColor })}),_vm._v(" "),_c('div',{style:({ backgroundColor: _vm.customColor })}),_vm._v(" "),_c('div',{style:({ backgroundColor: _vm.customColor })})])};
var __vue_staticRenderFns__ = [];

  /* style */
  const __vue_inject_styles__ = function (inject) {
    if (!inject) return
    inject("data-v-237f1623_0", { source: ".lds-ellipsis.white div{background-color:#fff}.lds-ellipsis.black div{background-color:#000}.lds-ellipsis.orange div{background-color:#e95d0f}.lds-ellipsis.blue div{background-color:#2b6ee8}.lds-ellipsis.gray div{background-color:#5c6e8e}.lds-ellipsis.grayLight div{background-color:#5c6e8e;opacity:.5}.lds-ellipsis{display:inline-block;position:relative;width:5rem;height:1rem}.lds-ellipsis div{position:absolute;top:calc(50% - .5rem);width:.7rem;height:.7rem;border-radius:50%;animation-timing-function:cubic-bezier(0,1,1,0)}.lds-ellipsis div:nth-child(1){left:.2rem;animation:lds-ellipsis1 .6s infinite}.lds-ellipsis div:nth-child(2){left:.2rem;animation:lds-ellipsis2 .6s infinite}.lds-ellipsis div:nth-child(3){left:2rem;animation:lds-ellipsis2 .6s infinite}.lds-ellipsis div:nth-child(4){left:4rem;animation:lds-ellipsis3 .6s infinite}@keyframes lds-ellipsis1{0%{transform:scale(0)}100%{transform:scale(1)}}@keyframes lds-ellipsis3{0%{transform:scale(1)}100%{transform:scale(0)}}@keyframes lds-ellipsis2{0%{transform:translate(0,0)}100%{transform:translate(2rem,0)}}", map: undefined, media: undefined });

  };
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = __vue_normalize__(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    createInjector,
    undefined,
    undefined
  );

export default __vue_component__;
